## radeon-profile-daemon 20190603~siduction.1

=== debian/changelog ===
radeon-profile-daemon (20190603~siduction.1) unstable; urgency=medium

  * Non-maintainer upload.
  * build for debian

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 27 Jan 2024 22:46:51 +0100

radeon-profile-daemon (20190603~ubuntu22.10.1) kinetic; urgency=low

  * Auto build.

 -- gogo <trebelnik2@gmail.com>  Mon, 01 Aug 2022 07:11:55 +0000

radeon-profile-daemon (0.2.8) bionic; urgency=emergency

  *  Fix build 
  
 -- Goran Vidovic (gogo) <trebelnik2@gmail.com>  Fri, 6 Dec 2019 16:20:05 +0100

radeon-profile-daemon (0.2.7) bionic; urgency=emergency

  *  Fix build 
  
 -- Goran Vidovic (gogo) <trebelnik2@gmail.com>  Thu, 5 Dec 2019 18:00:05 +0100

radeon-profile-daemon (0.2.6) bionic; urgency=emergency

  *  New version 
  
 -- Goran Vidovic (gogo) <trebelnik2@gmail.com>  Wen, 13 Nov 2019 15:17:05 +0100

radeon-profile-daemon (0.2.5) bionic; urgency=emergency

  *  Added license 
  *  Trivial spelling fix

 -- Goran Vidovic (gogo) <trebelnik2@gmail.com>  Sun, 28 Oct 2018 23:25:05 +0100

radeon-profile-daemon (0.2.4~bionic) bionic; urgency=emergency

  * Initial release

 -- Goran Vidovic (gogo) <trebelnik2@gmail.com>  Thu, 7 Jun 2018 19:37:05 +0100
